__alpm_pkg_t(3)

NAME
__alpm_pkg_t

SYNOPSIS

  Data Fields
unsigned long name_hash
char * filename
char * base
char * name
char * version
char * desc
char * url
char * packager
char * md5sum
char * sha256sum
char * base64_sig
char * arch
alpm_time_t builddate
alpm_time_t installdate
off_t size
off_t isize
off_t download_size
alpm_handle_t * handle
alpm_list_t * licenses
alpm_list_t * replaces
alpm_list_t * groups
alpm_list_t * backup
alpm_list_t * depends
alpm_list_t * optdepends
alpm_list_t * checkdepends
alpm_list_t * makedepends
alpm_list_t * conflicts
alpm_list_t * provides
alpm_list_t * removes
alpm_pkg_t * oldpkg
struct pkg_operations * ops
alpm_filelist_t files
union {
alpm_db_t * db
char * file
} origin_data
alpm_pkgfrom_t origin
alpm_pkgreason_t reason
int scriptlet
int infolevel
int validation

Author

Generated automatically by Doxygen for libalpm from the source code.